Skip to main content
GET
/
knowledge-base
/
{knowledgeBaseId}
/
crawling-status
Get Crawling Status
curl --request GET \
  --url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/crawling-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "status": "training",
  "totalUrls": 10,
  "completedUrls": 7,
  "failedUrls": 1,
  "lastCrawledAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

knowledgeBaseId
string
required

The knowledge base ID to check crawling status for

Example:

"kb_abc123def456"

Response

Crawling status retrieved successfully

status
enum<string>

Overall crawling status

Available options:
idle,
crawling,
training,
completed,
failed
Example:

"training"

totalUrls
integer

Total number of URLs being processed

Example:

10

completedUrls
integer

Number of URLs that have been processed

Example:

7

failedUrls
integer

Number of URLs that failed to process

Example:

1

lastCrawledAt
string<date-time>

Timestamp of last crawl activity

Last modified on March 7, 2026